CREATE INDEX image_server_id ON image (server_id);

CREATE INDEX worker_run_worker_version_id ON worker_run (worker_version_id);

CREATE INDEX element_image_id ON element (image_id);
CREATE INDEX element_worker_version_id ON element (worker_version_id);
CREATE INDEX element_worker_run_id ON element (worker_run_id);

CREATE INDEX element_path_parent_id ON element_path (parent_id);
CREATE INDEX element_path_child_id ON element_path (child_id);

CREATE INDEX transcription_element_id ON transcription (element_id);
CREATE INDEX transcription_worker_version_id ON transcription (worker_version_id);
CREATE INDEX transcription_worker_run_id ON transcription (worker_run_id);

CREATE INDEX classification_element_id ON classification (element_id);
CREATE INDEX classification_worker_version_id ON classification (worker_version_id);
CREATE INDEX classification_worker_run_id ON classification (worker_run_id);

CREATE INDEX entity_worker_version_id ON entity (worker_version_id);
CREATE INDEX entity_worker_run_id ON entity (worker_run_id);
CREATE INDEX entity_type_id ON entity (type_id);

CREATE INDEX transcription_entity_transcription_id ON transcription_entity (transcription_id);
CREATE INDEX transcription_entity_entity_id ON transcription_entity (entity_id);
CREATE INDEX transcription_entity_worker_version_id ON transcription_entity (worker_version_id);
CREATE INDEX transcription_entity_worker_run_id ON transcription_entity (worker_run_id);

CREATE INDEX metadata_element_id ON metadata (element_id);
CREATE INDEX metadata_entity_id ON metadata (entity_id);
CREATE INDEX metadata_worker_version_id ON metadata (worker_version_id);
CREATE INDEX metadata_worker_run_id ON metadata (worker_run_id);

CREATE INDEX dataset_element_element_id ON dataset_element (element_id);
CREATE INDEX dataset_element_dataset_id ON dataset_element (dataset_id);
