# Generated by Django 4.1.7 on 2023-08-01 12:57

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("process", "0012_corpusworkerversion_model_version_configuration"),
    ]

    operations = [
        migrations.RunSQL(
            # Remove any duplicates before applying the constraint
            """
            DELETE FROM process_processdataset
            USING (
                SELECT id, ROW_NUMBER() OVER (PARTITION BY process_id, dataset_id) AS i
                FROM process_processdataset
            ) duplicates
            WHERE process_processdataset.id = duplicates.id
            AND duplicates.i > 1
            """,
            reverse_sql=migrations.RunSQL.noop,
        ),
        migrations.AddConstraint(
            model_name="processdataset",
            constraint=models.UniqueConstraint(fields=("process", "dataset"), name="unique_process_dataset"),
        ),
    ]
